#ifndef ELC2_GENERATOR_H
#define ELC2_GENERATOR_H

#include "utils.h"
#include "licenceCommon.h"
#include "licenceELC2.h"
#include "SDCard.h"
#include "pugixml.hpp"


using namespace std;

namespace Generator
{
  class Licence2 : public LicenceELC2
  {
    
  public:
    Licence2();
    Licence2(string cid, string csd, pugi::xml_document * xmlDoc);
    ~Licence2();

    string cid = "";
    string csd = "";
    pugi::xml_document *xmlDoc;
    string projectDescription = "";

    bool createLicence();
    
    private:
    void getHeader();
    string getVersion(int middleVersion);
    bool processInputConfiguration();
    void getLicenceItems();


  };
}

#endif